// skyFOR.fx
// Julian "Jibb" Smart
// 2009

const float4x4 matWorldViewProj;

float4 vecSkill1;

void VS	(in float4 inPos	:	POSITION,
			in float2 inTex	:	TEXCOORD0,
			out float4 outPos	:	POSITION,
			out float2 outTex	:	TEXCOORD0) {
	outPos = mul(inPos, matWorldViewProj);
	outTex = inTex;
}

float4 PS	(in float2 inTex		:	TEXCOORD0)	:	COLOR0 {
	return float4(vecSkill1.x, 0.0, 0.0, 1.0);
}

technique SkyMRT {
	pass p0 {
		ZWriteEnable = FALSE;
		VertexShader = compile vs_2_0 VS();
		PixelShader = compile ps_2_0 PS();
	}
}
